gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.Hyperlink

Contents

- Exported types
- Methods
  - getEndIndex
  - getNAnchors
  - getObject
  - getStartIndex
  - getUri
  - isInline
  - isSelectedLink
  - isValid
- Properties
  - endIndex
  - numberOfAnchors
  - selectedLink
  - startIndex
- Signals
  - linkActivated

Description

An ATK object which encapsulates a link or set of links (for instance in the case of client-side image maps) in a hypertext document. It may implement the AtkAction interface. AtkHyperlink may also be used to refer to inline embedded content, since it allows specification of a start and end offset within the host AtkHypertext object.

Synopsis

- newtype Hyperlink = Hyperlink (ManagedPtr Hyperlink)
- class GObject o => IsHyperlink o
- toHyperlink :: (MonadIO m, IsHyperlink o) => o -> m Hyperlink
- noHyperlink :: Maybe Hyperlink
- hyperlinkGetEndIndex :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Int32
- hyperlinkGetNAnchors :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Int32
- hyperlinkGetObject :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> Int32 -> m Object
- hyperlinkGetStartIndex :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Int32
- hyperlinkGetUri :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> Int32 -> m Text
- hyperlinkIsInline :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Bool
- hyperlinkIsSelectedLink :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Bool
- hyperlinkIsValid :: (HasCallStack, MonadIO m, IsHyperlink a) => a -> m Bool
- getHyperlinkEndIndex :: (MonadIO m, IsHyperlink o) => o -> m Int32
- getHyperlinkNumberOfAnchors :: (MonadIO m, IsHyperlink o) => o -> m Int32
- getHyperlinkSelectedLink :: (MonadIO m, IsHyperlink o) => o -> m Bool
- getHyperlinkStartIndex :: (MonadIO m, IsHyperlink o) => o -> m Int32
- type C_HyperlinkLinkActivatedCallback = Ptr () -> Ptr () -> IO ()
- type HyperlinkLinkActivatedCallback = IO ()
- afterHyperlinkLinkActivated :: (IsHyperlink a, MonadIO m) => a -> HyperlinkLinkActivatedCallback -> m SignalHandlerId
- genClosure_HyperlinkLinkActivated :: HyperlinkLinkActivatedCallback -> IO Closure
- mk_HyperlinkLinkActivatedCallback :: C_HyperlinkLinkActivatedCallback -> IO (FunPtr C_HyperlinkLinkActivatedCallback)
- noHyperlinkLinkActivatedCallback :: Maybe HyperlinkLinkActivatedCallback
- onHyperlinkLinkActivated :: (IsHyperlink a, MonadIO m) => a -> HyperlinkLinkActivatedCallback -> m SignalHandlerId
- wrap_HyperlinkLinkActivatedCallback :: HyperlinkLinkActivatedCallback -> C_HyperlinkLinkActivatedCallback

# Exported types

newtype Hyperlink Source #

Memory-managed wrapper type.

Constructors

Hyperlink (ManagedPtr Hyperlink) |

Instances

GObject Hyperlink Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink Methods gobjectType :: Hyperlink -> IO GType Source #
IsObject Hyperlink Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink
IsAction Hyperlink Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink
IsHyperlink Hyperlink Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink

class GObject o => IsHyperlink o Source #

Type class for types which can be safely cast to `Hyperlink`, for instance with `toHyperlink`.

Instances

(GObject a, (UnknownAncestorError Hyperlink a :: Constraint)) => IsHyperlink a Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink
IsHyperlink Hyperlink Source # |
Instance details Defined in GI.Atk.Objects.Hyperlink

toHyperlink :: (MonadIO m, IsHyperlink o) => o -> m Hyperlink Source #

Cast to `Hyperlink`, for types for which this is known to be safe. For general casts, use `castTo`.

noHyperlink :: Maybe Hyperlink Source #

A convenience alias for `Nothing` :: `Maybe` `Hyperlink`.

# Methods

## getEndIndex

hyperlinkGetEndIndex Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Int32 | Returns: the index with the hypertext document at which this link ends

Gets the index with the hypertext document at which this link ends.

## getNAnchors

hyperlinkGetNAnchors Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Int32 | Returns: the number of anchors associated with this hyperlink

Gets the number of anchors associated with this hyperlink.

## getObject

hyperlinkGetObject Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> Int32 | `i`: a (zero-index) integer specifying the desired anchor
-> m Object | Returns: an `Object` associated with this hyperlinks i-th anchor

Returns the item associated with this hyperlinks nth anchor. For instance, the returned `Object` will implement `Text` if `link_` is a text hyperlink, `Image` if `link_` is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

## getStartIndex

hyperlinkGetStartIndex Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Int32 | Returns: the index with the hypertext document at which this link begins

Gets the index with the hypertext document at which this link begins.

## getUri

hyperlinkGetUri Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> Int32 | `i`: a (zero-index) integer specifying the desired anchor
-> m Text | Returns: a string specifying the URI

Get a the URI associated with the anchor specified by `i` of `link_`.

Multiple anchors are primarily used by client-side image maps.

## isInline

hyperlinkIsInline Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Bool | Returns: whether or not this link displays its content inline.

Indicates whether the link currently displays some or all of its content inline. Ordinary HTML links will usually return `False`, but an inline &lt;src&gt; HTML element will return `True`.

## isSelectedLink

hyperlinkIsSelectedLink Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Bool | Returns: True if the AtkHyperlink is selected, False otherwise

Deprecated: (Since version 1.8)Please use ATK_STATE_FOCUSABLE for all links,and ATK_STATE_FOCUSED for focused links.

Determines whether this AtkHyperlink is selected

Since: 1.4

## isValid

hyperlinkIsValid Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlink a) |
=> a | `link_`: an `Hyperlink`
-> m Bool | Returns: whether or not this link is still valid

Since the document that a link is associated with may have changed this method returns `True` if the link is still valid (with respect to the document it references) and `False` otherwise.

# Properties

## endIndex

No description available in the introspection data.

getHyperlinkEndIndex :: (MonadIO m, IsHyperlink o) => o -> m Int32 Source #

Get the value of the “`end-index`” property. When overloading is enabled, this is equivalent to

    get hyperlink #endIndex

## numberOfAnchors

No description available in the introspection data.

getHyperlinkNumberOfAnchors :: (MonadIO m, IsHyperlink o) => o -> m Int32 Source #

Get the value of the “`number-of-anchors`” property. When overloading is enabled, this is equivalent to

    get hyperlink #numberOfAnchors

## selectedLink

Selected link

getHyperlinkSelectedLink :: (MonadIO m, IsHyperlink o) => o -> m Bool Source #

Get the value of the “`selected-link`” property. When overloading is enabled, this is equivalent to

    get hyperlink #selectedLink

## startIndex

No description available in the introspection data.

getHyperlinkStartIndex :: (MonadIO m, IsHyperlink o) => o -> m Int32 Source #

Get the value of the “`start-index`” property. When overloading is enabled, this is equivalent to

    get hyperlink #startIndex

# Signals

## linkActivated

type C_HyperlinkLinkActivatedCallback = Ptr () -> Ptr () -> IO () Source #

Type for the callback on the (unwrapped) C side.

type HyperlinkLinkActivatedCallback = IO () Source #

The signal link-activated is emitted when a link is activated.

afterHyperlinkLinkActivated :: (IsHyperlink a, MonadIO m) => a -> HyperlinkLinkActivatedCallback -> m SignalHandlerId Source #

Connect a signal handler for the “`link-activated`” signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after hyperlink #linkActivated callback

genClosure_HyperlinkLinkActivated :: HyperlinkLinkActivatedCallback -> IO Closure Source #

Wrap the callback into a `Closure`.

mk_HyperlinkLinkActivatedCallback :: C_HyperlinkLinkActivatedCallback -> IO (FunPtr C_HyperlinkLinkActivatedCallback) Source #

Generate a function pointer callable from C code, from a `C_HyperlinkLinkActivatedCallback`.

noHyperlinkLinkActivatedCallback :: Maybe HyperlinkLinkActivatedCallback Source #

A convenience synonym for ``Nothing` :: `Maybe` `HyperlinkLinkActivatedCallback``.

onHyperlinkLinkActivated :: (IsHyperlink a, MonadIO m) => a -> HyperlinkLinkActivatedCallback -> m SignalHandlerId Source #

Connect a signal handler for the “`link-activated`” signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on hyperlink #linkActivated callback

wrap_HyperlinkLinkActivatedCallback :: HyperlinkLinkActivatedCallback -> C_HyperlinkLinkActivatedCallback Source #

Wrap a `HyperlinkLinkActivatedCallback` into a `C_HyperlinkLinkActivatedCallback`.